Search Predictions
Performs a text-based wildcard search across the user’s prediction history.
Endpoint
Section titled “Endpoint”POST
/prediction/v1/searchRequest Body
Section titled “Request Body”curl -X POST https://api.juspredict.com/prediction/v1/search \-H 'Authorization: Bearer YOUR_TOKEN' \-H 'Content-Type: application/json' \-d '{"event_wild_card_search": "World Cup","time_in_force": 6}'{"event_wild_card_search": "World Cup","time_in_force": 6}Response Body
Section titled “Response Body”{"status": { "type": "SUCCESS" },"predictions": [...]}{"status": {"type": "ERROR","details": [ { "code": "401", "message": "Unauthorized access token." }]}}Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
status | Status | Operation status. |
predictions | PredictionInfo[] | List of predictions. |